# API get list transactions

* **Purpose**: This is the API used to get list collection transactions.
* **API**:
  * Path: ***v2/col/transactions***
  * Method: ***GET***
  * Request: Content-Type: ***application/json***

### **Request Parameter**

<table><thead><tr><th width="239">Parameter</th><th width="124">Data Type</th><th width="101">Required</th><th>Description</th></tr></thead><tbody><tr><td>pageIndex</td><td>Number</td><td>N</td><td>Pagination index (start from 1, default value is 1)</td></tr><tr><td>pageSize</td><td>Number</td><td>N</td><td>Current Page size (Default value is 20, maximum value is 500)</td></tr><tr><td>dateFr</td><td>Datetime String (ISO 8601)</td><td>N</td><td>Get records created from date</td></tr><tr><td>dateTo</td><td>Datetime String (ISO 8601)</td><td>N</td><td>Get records created to date</td></tr><tr><td>status</td><td>String</td><td>N</td><td>To filter transaction list by transaction status</td></tr><tr><td>reconcileStatus</td><td>String</td><td>N</td><td>To filter transaction list by reconcile status</td></tr><tr><td>payoutStatus</td><td>String</td><td>N</td><td>To filter transaction list by payout status</td></tr><tr><td>virtualAccountId</td><td>String</td><td>N</td><td>To filter transaction list by virtual account number</td></tr><tr><td>virtualAccountRequestId</td><td>String</td><td>N</td><td>To filter transaction list by ID of seller/business is provided by merchant</td></tr></tbody></table>

### **Response Data**

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>code</td><td>Number</td><td>Error code, refer to <a href="../error-codes">table of error codes</a>.</td></tr><tr><td>data</td><td>Object</td><td><p>Return Object as follow:</p><pre class="language-postman_json"><code class="lang-postman_json">        
{
  "totalDocs": Number, // Total records
  "totalPages": Number, // Total pages base on request pageSize
  "docs": Array of GetListTransactionsResponse
}

</code></pre><p>Ref to <a href="#getlisttransactionsresponse">GetListTransactionsResponse</a> object.</p></td></tr><tr><td>message</td><td>String</td><td>Error description</td></tr><tr><td>neoResponseId</td><td>String</td><td>The ID of NeoX response</td></tr></tbody></table>

#### GetListTransactionsResponse

<table><thead><tr><th width="187.33333333333331">Parameter</th><th width="127">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>merchantCode</td><td>String</td><td>Merchant Code</td></tr><tr><td>transId</td><td>String</td><td>The ID of transaction.</td></tr><tr><td>transDate</td><td>Datetime String (ISO 8601)</td><td>The date and time of transaction.</td></tr><tr><td>virtualAccountRequestId</td><td>String</td><td>The ID of seller/business is provided by merchant.</td></tr><tr><td>virtualAccountId</td><td>String</td><td>Virtual Account number.</td></tr><tr><td>accountName</td><td>String</td><td>Virtual Account name.</td></tr><tr><td>amount</td><td>Number</td><td>The amount of collection transaction.</td></tr><tr><td>fee</td><td>Number</td><td>Collection transaction fee caculated by NeoX.</td></tr><tr><td>refundedAmount</td><td>Number</td><td>Total refunded amount of collection transaction.</td></tr><tr><td>status</td><td>String</td><td>Transaction status.</td></tr><tr><td>reconcileStatus</td><td>String</td><td>Transaction reconcile status, Include:<br>WAITING_UPLOAD: Documents for transaction were not uploaded, waiting for upload<br>UPLOADED: Documents for transaction were uploaded, waiting for verifying<br>APPROVED: Transaction documents were verified<br>REJECTED: Transaction documents were verified has been rejected.<br>RECONCILED: Transaction was reconconciled<br>SETTLED: Transaction was settled</td></tr><tr><td>payoutStatus</td><td>String</td><td>Transaction payout status, Include:<br>READY: Transaction was settled and ready for Remitout (Appear when reconcileStatus change to "SETTLED").<br>PROCESSING: Remitout/Payout request is processing.<br>REJECTED: Remitout/Payout request has been rejected.<br>SUCCESS: Remitout/Payout request has success.</td></tr><tr><td>createdAt</td><td>Datetime String (ISO 8601)</td><td>Record created time</td></tr><tr><td>updatedAt</td><td>Datetime String (ISO 8601)</td><td>Record lastest updated time</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/collections/integration/transactions/get-list-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
